summaryrefslogtreecommitdiff
path: root/source4/torture
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2008-09-16 19:07:59 +0200
committerJelmer Vernooij <jelmer@samba.org>2008-09-16 19:07:59 +0200
commit323346f7b01314bdec418d585fae236f736068fa (patch)
tree358f09d4966f6ae6973104567e36b4b011bfd51e /source4/torture
parentcda87628bc607d6aba1ee9c8a904c86080c974d8 (diff)
parent9c466a61588cf7eb442450d57cf2a46355e8907a (diff)
downloadsamba-323346f7b01314bdec418d585fae236f736068fa.tar.gz
samba-323346f7b01314bdec418d585fae236f736068fa.tar.bz2
samba-323346f7b01314bdec418d585fae236f736068fa.zip
Merge branch 'singlecompression' into single
Diffstat (limited to 'source4/torture')
-rw-r--r--source4/torture/local/config.mk2
-rwxr-xr-xsource4/torture/tests/test_gentest.sh34
-rwxr-xr-xsource4/torture/tests/test_locktest.sh28
-rwxr-xr-xsource4/torture/tests/test_masktest.sh28
4 files changed, 91 insertions, 1 deletions
diff --git a/source4/torture/local/config.mk b/source4/torture/local/config.mk
index 7be5b582aa..54cbdae837 100644
--- a/source4/torture/local/config.mk
+++ b/source4/torture/local/config.mk
@@ -36,7 +36,7 @@ TORTURE_LOCAL_OBJ_FILES = \
$(torturesrcdir)/../lib/util/tests/str.o \
$(torturesrcdir)/../lib/util/tests/file.o \
$(torturesrcdir)/../lib/util/tests/genrand.o \
- $(torturesrcdir)/../lib/compression/testsuite.o \
+ $(torturesrcdir)/../../compression/testsuite.o \
$(torturesrcdir)/../lib/charset/tests/charset.o \
$(torturesrcdir)/../libcli/security/tests/sddl.o \
$(torturesrcdir)/../lib/tdr/testsuite.o \
diff --git a/source4/torture/tests/test_gentest.sh b/source4/torture/tests/test_gentest.sh
new file mode 100755
index 0000000000..2f4d00dc77
--- /dev/null
+++ b/source4/torture/tests/test_gentest.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Blackbox tests for gentest
+# Copyright (C) 2008 Andrew Tridgell
+# based on test_smbclient.sh
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_gentest.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+shift 4
+failed=0
+
+samba4bindir=`dirname $0`/../../bin
+gentest=$samba4bindir/gentest
+
+. `dirname $0`/../../../testprogs/blackbox/subunit.sh
+
+cat <<EOF > st/gentest.ignore
+all_info.out.fname
+internal_information.out.file_id
+EOF
+
+testit "gentest" $VALGRIND $gentest //$SERVER/test1 //$SERVER/test2 --num-ops=100 --ignore=st/gentest.ignore -W "$DOMAIN" -U"$USERNAME%$PASSWORD" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+
+rm -f st/gentest.ignore
+
+exit $failed
diff --git a/source4/torture/tests/test_locktest.sh b/source4/torture/tests/test_locktest.sh
new file mode 100755
index 0000000000..1fe39b4d1d
--- /dev/null
+++ b/source4/torture/tests/test_locktest.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Blackbox tests for locktest
+# Copyright (C) 2008 Andrew Tridgell
+# based on test_smbclient.sh
+
+if [ $# -lt 5 ]; then
+cat <<EOF
+Usage: test_locktest.sh SERVER USERNAME PASSWORD DOMAIN PREFIX
+EOF
+exit 1;
+fi
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+PREFIX=$5
+shift 5
+failed=0
+
+samba4bindir=`dirname $0`/../../bin
+locktest=$samba4bindir/locktest
+
+. `dirname $0`/../../../testprogs/blackbox/subunit.sh
+
+testit "locktest" $VALGRIND $locktest //$SERVER/test1 //$SERVER/test2 --num-ops=100 -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+
+exit $failed
diff --git a/source4/torture/tests/test_masktest.sh b/source4/torture/tests/test_masktest.sh
new file mode 100755
index 0000000000..59165e47df
--- /dev/null
+++ b/source4/torture/tests/test_masktest.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Blackbox tests for masktest
+# Copyright (C) 2008 Andrew Tridgell
+# based on test_smbclient.sh
+
+if [ $# -lt 5 ]; then
+cat <<EOF
+Usage: test_masktest.sh SERVER USERNAME PASSWORD DOMAIN PREFIX
+EOF
+exit 1;
+fi
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+PREFIX=$5
+shift 5
+failed=0
+
+samba4bindir=`dirname $0`/../../bin
+masktest=$samba4bindir/masktest
+
+. `dirname $0`/../../../testprogs/blackbox/subunit.sh
+
+testit "masktest" $VALGRIND $masktest //$SERVER/tmp --num-ops=200 --dieonerror -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+
+exit $failed